Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SProjection

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SAttributed, SNamed

All Known Subinterfaces:
  SContinuousSpace, SGeography, SGrid, SNDimensional, SNetwork

All Known Implementing Classes:
  SContinuousSpaceImpl, SGeographyImpl, SGridImpl, SNDimensionalImpl, SNetworkImpl, SProjectionImpl

    public interface SProjection

extends SAttributed, IID

A representation of the model object ' SProjection'.

Author:
  Miles Parker

  The following features are supported:

  - `Owner`
See Also:
  `MetaABMPackage.getSProjection()`

Method Summary
`SContext` | `getOwner()` Returns the value of the 'Owner' container reference.
`void` | `setOwner(SContext value)` Sets the value of the '`Owner`' container reference.

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwner

    SContext getOwner()

  Returns the value of the 'Owner' container reference. It is bidirectional and its opposite is '`Projections`'.

  If the meaning of the 'Owner' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `setOwner(SContext)`, `MetaABMPackage.getSProjection_Owner()`, `SContext.getProjections()`

### setOwner

    void setOwner(SContext value)

  Sets the value of the '`Owner`' container reference.

  Parameters:
    `value` - the new value of the 'Owner' container reference.
  See Also:
    `getOwner()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD